
Redmine - Patch #8414

time_entry is saved even with errors

2011-05-20 14:09 - Francisco José Martínez

Status: Closed Start date: 2011-05-20

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Description

I don't know if this is already fixed, I'm looking for and no result has been found.

We have a custom field at beginning isn't require, passed few time, we changed this behaviour. some issues hadn't got defined a

value for this custom field.

If we try to update the issue, we puts some hours in the field spent_time, but don't put any value in the custom field required then

submit.

We have a error, but the time_entry don't have rollback

I'm using redmine 1.0.2 (stable)

I've patched the Issue::save_issue_with_child_records adding a "raise" if "params"

isn't valid

History

#1 - 2011-05-20 14:13 - Francisco José Martínez

- File issue.rb.patch added

#2 - 2011-08-09 10:03 - Francisco José Martínez

- % Done changed from 100 to 0

#3 - 2016-12-26 15:32 - Go MAEDA

- Status changed from New to Closed

I cannot reproduce the problem in the current trunk (r16111).

Probably fixed in r8891, source:trunk/app/models/issue.rb@8891#L698 (Redmine 1.4.0).

Files

issue.rb.patch 348 Bytes 2011-05-20 Francisco José Martínez

issue.rb.patch 757 Bytes 2011-05-20 Francisco José Martínez
https://www.redmine.org/projects/redmine/repository/svn/revisions/16111
https://www.redmine.org/projects/redmine/repository/svn/revisions/8891
https://www.redmine.org/projects/redmine/repository/svn/revisions/8891/entry/trunk/app/models/issue.rb#L698
